// Lee Spector, lspector@hampshire.edu

import java.awt.TextArea; 

TextArea screen_text;

void setup () {
  size(500, 400); 
  background(255); // white
  screen_text = new TextArea("",23,45,1); 
  this.add(screen_text);
  noLoop(); // must be last thing in setup()
}

// print text to the field on the screen
void print_to_field(String text_to_print) {
  screen_text.append(text_to_print);
}

// print a newline to the field on the screen
void print_newline_to_field() {
  screen_text.append("\n");
}

/////////////////////////////////////////////////////////////

void print_random_word (String[] words) {
  print_to_field (words[int(random(words.length))]);
}

// grammar presented in class (originally from Winston's AI text?)

void s () {
  np();
  vp_pps();
}

void np () {
  det();
  adjs_noun();
}

void adjs_noun () {
  if (random(1) < 0.5) {
    adj();
    adjs_noun();
  } else {
    noun();
  }
}

void vp_pps () {
  if (random(1) < 0.5) {
    vp_pps();
    pp();
  } else {
    vp();
  }
}

void vp () {
  verb();
  np();
}

void pp () {
  prep();
  np();
}
  
void det () {
  String[] words = {"a ", "the ", "this ", "that " };
  print_random_word (words);
}

void adj () {
  String[] words = {"silly ", "red ", "big "};
  print_random_word (words);
}

void noun () {
  String[] words = {"robot ", "pyramid ", "top ", "brick "};
  print_random_word (words);
}

void verb () {
  String[] words = {"moved " };
  print_random_word (words);
}

void prep () {
  String[] words = {"to ", "of " };
  print_random_word (words);
}

void draw () {
  s();
}
















