// minimal_text
// by Lee Spector, lspector@hampshire.edu
// Demonstrates simple text output to a text area that can appear in an applet.

import java.awt.TextArea; 

TextArea screen_text;

void setup () {
  size(500, 400);
  background(255); // white
  screen_text = new TextArea("",23,45,1); 
  this.add(screen_text);
  noLoop(); // must be last thing in setup()
}

// print both to the pde and to the field on the screen
void textln(String text_to_print) {
  println(text_to_print);
  screen_text.append(text_to_print + "\n");
}

// From here down is code for generating very simple sentences.

// a utility to return a random element of an array of strings
String random_string (String[] string_array) {
  return string_array[int(random(string_array.length))];
}

// return a string containing a random article
String article () {
  String[] articles = { "a", "the", "my", "your" };
  return random_string(articles);
}
  
// return a string containing a random noun
String noun () {
  String[] nouns = { "man", "woman", "ball", "table", "fish", "dog", "airplane" };
  return random_string(nouns);
}

// return a string containing a random verb
String verb () {
  String[] verbs = { "hit", "took", "saw", "liked", "carried", "heard", "loved", "soothed", "hated" };
  return random_string(verbs);
}

// return a string containing a random sentence
String sentence () {
  return article() + " " + noun() + " " + verb() + " " + article() + " " + noun();
}

void draw () {
  for(int i=0; i<40; i=i+1) {
    textln(sentence());
  }
}
















